MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023235Community[OCCT] OCCT:Visualizationpublic2012-07-02 17:362014-11-11 12:52
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2005OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0023235: The inner side of an AIS_Shape not rendered when activated clipping plane
DescriptionWhen activating the clipping plane the inner side of some objects is not rendered.

It can be observed for a sphere based on the given example (see the steps to reproduce below).

However, I could also observe it for a cylinder (not sure how to reproduce it) but never for a box. So I guess it affects only the shapes based on circle(s).
Steps To ReproduceStart the Viewer 3D Sample (refer to the attached picture)
- Create a sphere
- create a clipping plane
- create a cylinder
- create a box
TagsNo tags attached.
Test case number
Attached Filesjpg file icon picture01.jpg (62,079 bytes) 2012-07-02 17:36
gif file icon cp_inner.gif (5,605 bytes) 2014-04-14 15:30

- Relationships
related to 0024521closedbugmaster Open CASCADE Visualization - automatic back face culling is not turned on for Solids packed into compound 

-  Notes
(0027921)
kgv (developer)
2014-02-17 15:06

Dear bugmaster,

please re-test scenario on current master.
The issue should be solved within patch for 0024521.
(0028825)
bugmaster (administrator)
2014-04-14 15:33

Case was tested on current master.
Inner side of all the shapes is rendered.
See cp_inner.gif image

- Issue History
Date Modified Username Field Change
2012-07-02 17:36 Pawel New Issue
2012-07-02 17:36 Pawel Assigned To => bugmaster
2012-07-02 17:36 Pawel File Added: picture01.jpg
2014-02-17 15:05 kgv Relationship added related to 0024521
2014-02-17 15:06 kgv Note Added: 0027921
2014-02-17 15:06 kgv Status new => feedback
2014-02-17 15:06 kgv Resolution open => fixed
2014-02-17 15:06 kgv Target Version => 6.7.1
2014-04-04 17:17 abv Target Version 6.7.1 => 6.8.0
2014-04-14 15:30 bugmaster File Added: cp_inner.gif
2014-04-14 15:33 bugmaster Note Added: 0028825
2014-04-14 15:33 bugmaster Status feedback => tested
2014-04-14 15:34 bugmaster Status tested => verified
2014-04-14 15:34 bugmaster Assigned To bugmaster => Pawel
2014-11-11 12:47 user533 Fixed in Version => 6.8.0
2014-11-11 12:52 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker